aboutsummaryrefslogtreecommitdiff
path: root/examples/jeopardy/jeopardy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'examples/jeopardy/jeopardy.sh')
-rw-r--r--examples/jeopardy/jeopardy.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/examples/jeopardy/jeopardy.sh b/examples/jeopardy/jeopardy.sh
new file mode 100644
index 0000000..9bdbc75
--- /dev/null
+++ b/examples/jeopardy/jeopardy.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+set -e
+
+MODEL=./models/ggml-vicuna-13b-1.1-q4_0.bin
+MODEL_NAME=Vicuna
+
+# exec options
+prefix="Human: " # Ex. Vicuna uses "Human: "
+opts="--temp 0 -n 80" # additional flags
+nl='
+'
+introduction="You will be playing a game of Jeopardy. Simply answer the question in the correct format (Ex. What is Paris, or Who is George Washington)."
+
+# file options
+question_file=./examples/jeopardy/questions.txt
+touch ./examples/jeopardy/results/$MODEL_NAME.txt
+output_file=./examples/jeopardy/results/$MODEL_NAME.txt
+
+counter=1
+
+echo 'Running'
+while IFS= read -r question
+do
+ exe_cmd="./main -p "\"$prefix$introduction$nl$prefix$question\"" "$opts" -m ""\"$MODEL\""" >> ""\"$output_file\""
+ echo $counter
+ echo "Current Question: $question"
+ eval "$exe_cmd"
+ echo -e "\n------" >> $output_file
+ counter=$((counter+1))
+done < "$question_file"